> For the complete documentation index, see [llms.txt](https://docs.bindplane.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bindplane.com/deployment/virtual-machine/collector/install-and-uninstall-bindplane-collectors.md).

# Install and Uninstall Bindplane Collectors

The [Bindplane Collector](https://github.com/observIQ/bindplane-otel-collector) can be installed on Linux, Mac, or Windows with a single-line install script.

## Installation Script

{% hint style="warning" %}
**IMPORTANT**

🚧 Install Collectors from Bindplane

To install the collector, you should get the installation script from Bindplane as outlined in [Install Your First Collector](/readme/install-your-first-collector.md). Doing so ensures the collector instantly connects to Bindplane and can be managed without additional configuration.
{% endhint %}

{% hint style="info" %}
**NOTE**

📘 Collector or Agent: What's the difference?

We formerly used the terms Collector and Agent interchangeably. Collector is the preferred name, and Agent is the legacy name. If you see either throughout the product or the documentation, we're always referring to the [Bindplane Collector](https://github.com/observIQ/bindplane-otel-collector)
{% endhint %}

## Uninstall The Bindplane Collector

On Linux, macOS, or Windows, run the following command to uninstall the collector.

#### Linux

{% code overflow="wrap" %}

```bash
sudo sh -c "$(curl -fsSlL https://github.com/observiq/bindplane-agent/releases/latest/download/install_unix.sh)" install_unix.sh -r
```

{% endcode %}

#### macOS

{% code overflow="wrap" %}

```bash
sudo sh -c "$(curl -fsSlL https://github.com/observiq/bindplane-agent/releases/latest/download/install_macos.sh)" install_macos.sh -r
```

{% endcode %}

#### Windows

{% code overflow="wrap" %}

```powershell
(Get-WmiObject -Class Win32_Product -Filter "Name = 'observIQ Distro for OpenTelemetry Collector'").Uninstall()
```

{% endcode %}

{% hint style="success" %}
**TUTORIAL**

[View step-by-step video tutorial how to install the Bindplane OTel Collector in a Windows VM.](https://www.youtube.com/watch?v=fMs70_qeTB0)
{% endhint %}

Optionally, on Windows, you can uninstall the collector via the control panel. Simply follow the steps below.

1. Navigate to the control panel, then to the "Uninstall a program" dialog.
2. Locate the `observIQ OpenTelemetry Collector` entry, and select uninstall.
3. Follow the wizard to complete the removal of the collector.

{% hint style="warning" %}
**IMPORTANT**

🚧 Data that persists after uninstalling

The collectors configuration files and log files are not removed when a collector is uninstalled. If you will not be re-installing the collector at a later time you may want to remove this folder. It will contain log files, the Bindplane configuration yaml, and any queue storage. Those files are located at `/opt/observiq-otel-collector` on Linux and `C:\Program Files\observIQ OpenTelemetry Collector` on Windows.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bindplane.com/deployment/virtual-machine/collector/install-and-uninstall-bindplane-collectors.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
